<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/contactBg.jpg', 'color');





lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Padding For Section:');

$wp_customize->add_setting(
    'contactsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_toppadding',
    array(
        'settings'      => 'contactsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'contactsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_bottompadding',
    array(
        'settings'      => 'contactsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app_rhsOverlay', 'appoi_section', 'Section Left Side Overlay:');


$wp_customize->add_setting(
    'app_Opacityrhs',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'app_Opacityrhs',
    array(
        'settings'      => 'app_Opacityrhs',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Right Box Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_rhsolyColor', 'appoi_section', 'Section Right Box Overlay Color', '#fff');

//addColorPalatOption($wp_customize, 'inquiry_rhshgbgClr', 'appoi_section', 'Section Right Highlight Box Background Color', '#eb49b9');

$wp_customize->add_setting(
    'app_rhstitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Info', 'luzuk' )
    )
);
$wp_customize->add_control(
    'app_rhstitle',
    array(
        'settings'      => 'app_rhstitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Right Box Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_rhsbxtitleclr', 'appoi_section', 'Right Box Heading Color', '#eb49b9');

$wp_customize->add_setting(
    'infemiltxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'yourmailhere@gmail.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt',
    array(
        'settings'      => 'infemiltxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Box Email', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infphtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+91 800 8569 321' )
    )
);
$wp_customize->add_control(
    'infphtxt',
    array(
        'settings'      => 'infphtxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Box Phone Number', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'inftxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '380 St Kilda Road, Melbourne, Australia' )
    )
);
$wp_customize->add_control(
    'inftxt',
    array(
        'settings'      => 'inftxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Box Address', 'Luzuk' )
    )
);


addColorPalatOption($wp_customize, 'inquiry_phemicnclr', 'appoi_section', 'Right Box Phone & Email Add. Icon Color', '#eb49b9');

addColorPalatOption($wp_customize, 'inquiry_btntxtclr', 'appoi_section', 'Right Box Phone & Email Text Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_btntxtphemclr', 'appoi_section', 'Right Box Phone & Email Hover Color', '#eb49b9');


lzCustomLable($wp_customize, 'app_Overlay', 'appoi_section', 'Section Right Side Overlay');

$wp_customize->add_setting(
    'app_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.3', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'app_Opacity',
    array(
        'settings'      => 'app_Opacity',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'inquiry_formolayclr', 'appoi_section', 'Form Background Color', '#000'); 

lzCustomLable($wp_customize, 'app-secheading', 'appoi_section', 'Section Heading & Sub Heading');

$wp_customize->add_setting(
    'appform_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact From', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_maintitle',
    array(
        'settings'      => 'appform_maintitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'app_secheadingclr', 'appoi_section', 'Section Heading Color', '#fff');

// ===========Form Section ==========//

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section');


lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

//form input text / placeholder color
addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Border Color', '#fff');

//form label color
addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#fff');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'appoi_section', 'Form Button Text Color', '#fff');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'appoi_section', 'Form Button Text Hover Color', '#000');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'appoi_section', 'Form Button Background Color', '#eb49b9');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'appoi_section', 'Form Button Background Hover Color', '#fff');

